# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.425   -> 1.426  
#	 drivers/usb/wacom.c	1.7     -> 1.8    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/18	greg@kroah.com	1.426
# USB wacom driver
# 
# removed filter from the driver, as this should be done in userspace.
# --------------------------------------------
#
diff -Nru a/drivers/usb/wacom.c b/drivers/usb/wacom.c
--- a/drivers/usb/wacom.c	Thu Apr 18 13:53:56 2002
+++ b/drivers/usb/wacom.c	Thu Apr 18 13:53:56 2002
@@ -191,10 +191,6 @@
 	x = data[2] | ((__u32)data[3] << 8);
 	y = data[4] | ((__u32)data[5] << 8);
 
-	/* exponential smoothing to eliminate jitter */
-	x = (wacom->x * 2 + x) / 3;
-	y = (wacom->y * 2 + y) / 3;
-	
 	switch ((data[1] >> 5) & 3) {
 
 		case 0:	/* Pen */
@@ -292,10 +288,6 @@
 	x = ((__u32)data[2] << 8) | data[3];
 	y = ((__u32)data[4] << 8) | data[5];
 	
-	/* exponential smoothing to eliminate jitter */
-	wacom->x = (wacom->x * 2 + x) / 3;
-	wacom->y = (wacom->y * 2 + y) / 3;
-
 	input_report_abs(dev, ABS_X, wacom->x);
 	input_report_abs(dev, ABS_Y, wacom->y);
 	input_report_abs(dev, ABS_DISTANCE, data[9] >> 4);
